Bug 801775 - Unexpected error setting watchpoint
Unexpected error setting watchpoint
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdb (Show other bugs)
7.0
ppc64 Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Jan Kratochvil
Miroslav Franc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 08:28 EST by Marek Polacek
Modified: 2016-01-31 21:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:58:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Polacek 2012-03-09 08:28:47 EST
Description of problem:
GDB fails to continue after setting a watchpoint.

Version-Release number of selected component (if applicable):
# rpm -q gdb
gdb-7.3.50.20110722-11.el7.ppc64

How reproducible:
always

Steps to Reproduce:
# cat z.c
static int p;
int
main (void)
{
  p = 2;
  return 0;
}

# gcc z.c -g
# gdb -q ./a.out 
Reading symbols from /root/gdb/Sanity/basic-smoke-test/a.out...done.
(gdb) b main
Breakpoint 1 at 0x100004fc: file z.c, line 5.
(gdb) r
Starting program: /root/gdb/Sanity/basic-smoke-test/a.out 

Breakpoint 1, main () at z.c:5
5	  p = 2;
(gdb) watch p
Hardware watchpoint 2: p
(gdb) c
Continuing.
Unexpected error setting breakpoint or watchpoint: Invalid argument.
0x0000000010000500 in main () at z.c:5
5	  p = 2;

On x86_64 this isn't happening.
Comment 1 Jan Kratochvil 2012-03-09 08:36:13 EST
non-x86* watchpoints are very broken now, archer-jankratochvil-watchpoint3 has been updated only for x86* but not yet for non-x86* archs.
I did not expect anyone would use it from Fedora...
Comment 2 Jan Kratochvil 2012-03-09 09:55:54 EST
I have reproduced the problem with gdb-7.3.50.20110722-11.el7.ppc64.
I have tried to build gdb-7.4.50.20120120-29.fc17.ppc64 and it works OK.
->NOTABUG
Unaware why RHEL-7 is using so obsolete packages.
Comment 8 Ludek Smid 2014-06-13 08:58:43 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.